# Reward Distribution

**To enhance the transparency** of the VeBetter platform and x2earn apps, following also the ["dApp Tracker" proposal](https://governance.vebetterdao.org/proposals/48098052949649968323435845011935575242371156821795293696975298342916966237360), we have developed a centralized reward distributor contract. This contract must be used by the apps to ensure that every transfer of a B3TR token related to a sustainable action is publicly tracked and accessible to the community.

You need to call this contract to distribute the rewards.

### Round Attribution

By default, when you distribute a reward, the action is recorded in the **current round**. If your app allows users to accumulate actions and claim them later, the action will be attributed to the round when the claim happens — not when the action was performed.

To attribute actions to the correct round, use the `ForRound` variants of the distribution functions. These accept an additional `actionRound` parameter (the round ID when the action was actually performed):

* `distributeRewardForRound`
* `distributeRewardWithProofForRound`
* `distributeRewardWithProofAndMetadataForRound`

The `actionRound` must be greater than 0.

{% content-ref url="/pages/tzKJ08CD1y0q81JCETlh" %}
[JavaScript](/developer-guides/reward-distribution/javascript.md)
{% endcontent-ref %}

{% content-ref url="/pages/7FapZfU2NYxnTF0JLwUT" %}
[Solidity](/developer-guides/reward-distribution/solidity.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vebetterdao.org/developer-guides/reward-distribution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
